    

    <div style="display: flex;" class="d-flex justify-content-center data-groups-label">
        <h2>Your personal stats</h2>
    </div>
    <div class="separator border-5 my-10"></div>
    
    <!-- FIRST ROW OF CARDS-->
    <div style="display: flex;" class="d-flex justify-content-evenly">
        <div class="p-2 bd-highlight">
            <div class="card shadow-sm">
                <div class="card-header">
                    <h3 class="card-title">Total value earned</h3>
                </div>
                <div class="card-body top-card-label">
                    <div class="row" style="text-align: center;">
                        <i class="las la-piggy-bank la-8x"></i>
                    </div>
                    <div class="row mt-6" style="text-align: center; font-size: large;">
                        <strong>{{receivedData.balance}} Euro Points</strong>
                    </div>

                </div>
            </div>
        </div>

        <div class="p-2 bd-highlight">
            <div class="card shadow-sm">
                <div class="card-header">
                    <h3 class="card-title">Offers processed</h3>
                </div>
                <div class="card-body top-card-label">
                    <div class="row" style="text-align: center;">
                        <i class="las la-file-invoice-dollar la-8x"></i>
                    </div>
                    <div class="row mt-6" style="text-align: center; font-size: large;">
                        <strong>{{receivedData.offersProcessed}}</strong>
                    </div>                
                </div>
            </div>
        </div>

        <div class="p-2 bd-highlight">
            <div class="card shadow-sm">
                <div class="card-header">
                    <h3 class="card-title">Missed offers</h3>
                </div>
                <div class="card-body top-card-label">
                    <div class="row" style="text-align: center;">
                        <i class="las la-paper-plane la-8x"></i>
                    </div>
                    <div class="row mt-6" style="text-align: center; font-size: large;">
                        <strong>{{receivedData.missedOffers}}</strong>
                    </div>
                    <div class="row mt-6" style="text-align: center;">
                        <div class="p-2 bd-highlight">
                            <a routerLink="/personal-consent-manager/preferences" class="btn btn-sm btn-outline btn-outline-dashed btn-outline-primary btn-active-light-primary"><i class="las la-file-export fs-1 me-2"></i>Share more data</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        
    </div>
